package com.hp.user.client.service;

import com.hp.user.client.entity.CustomerServiceProviderEnterpriseVO;
import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.Result;

import java.util.List;

/**
 * <p>
 * 企业和服务商的关系 服务类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface CustomerServiceProviderEnterpriseService {
    public Result insert(CustomerServiceProviderEnterpriseVO cs);
    public Result update(CustomerServiceProviderEnterpriseVO cs);
    public Result delete(String csId);
    public Result deleteByServiceProviderId(String serviceProviderId);
    public DataResult<CustomerServiceProviderEnterpriseVO> queryCsByCompanyIdAndServiceProviderId(String companyId, String serviceProviderId);
    public DataResult<CustomerServiceProviderEnterpriseVO> queryCsByCompanyId(String companyId);
    public Result insertBatch(List<CustomerServiceProviderEnterpriseVO> csVOList);
    public Result deleteBatch(List<String> enterpriseIdList);

}
